Subject: Re: bug#53511: guix pull command fails

From: xdrcft56 <[email-masked]>
Date: Wed, 26 Jan 2022 18:59:50 +0000

After debugging this a bit deeper, I see that libgit2.so.1.1.0 is generating the error message "error inflating zlib stream".  Which leads me to suspect that the reason I can't "guix pull" is related to guile-git.

I've already reinstalled guix and the error persists.

Is there a way to update guile-git/libgit2.so.1.1.0 without having the ability to "guix pull && guix package -u"?

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐

On Tuesday, January 25th, 2022 at 1:32 PM, xdrcft56 <[email-masked]> wrote:

> I attempted the "guix pull --cores=2 --max-jobs=1" command as root and received the following output and error:
>
> Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
>
> guix pull: error: Git error: error inflating zlib stream
>
> I also ran "guix archive --authorize < ~root/.config/guix/current/share/guix/ci.guix.gnu.org.pub" in order enable and authorize a substitute but received the same error as above upon running "guix pull --cores=2 --max-jobs=1" subsequently.
>
> Finally, I reviewed dmesg and saw no change during the course of executing these commands.
>
> ‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
>
> On Tuesday, January 25th, 2022 at 2:59 AM, Maxime Devos [email-masked] wrote:
>
> > xdrcft56 schreef op ma 24-01-2022 om 23:35 [+0000]:
> >
> > > Thank you. I've attached the requested log file (/var/log/guix/drvs/aj/mmafhpmi83ssxg860wd93z9yhhhk5w-gcc-10.3.0.drv.bz2).
> >
> > ‘collect2: fatal error: ld terminated with signal 9 [Killed]’
> >
> > this could indicate an out-of-memory situation, which Guix cannot
> >
> > really do anything about. If it is a OOM, the dmesg should contain a
> >
> > message about it (I don't know exactly how it looks like). A future
> >
> > OOM can be avoided by closing some memory intensive applications (e.g.
> >
> > most web browsers) and reducing the number of cores used for building:
> >
> > "guix pull --cores=2 --max-jobs=1".
> >
> > In principle, it could be something else though. Can you reproduce
> >
> > with "guix pull --cores=2 --max-jobs=1"?
> >
> > Also, I'm noticing you are building everything from source.
> >
> > To avoid having to build things (and hence reduce the chance of
> >
> > an OOM) (and save energy), I recommend enabling and authorising
> >
> > substitutes.
> >
> > Greetings,
> >
> > Maxime.